%global         momorel 1

Name:           perl-Starman
Version:        0.4010
Release:        %{momorel}m%{?dist}
Summary:        High-performance preforking PSGI/Plack web server
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Starman/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Starman-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008001
BuildRequires:  perl-Data-Dump
BuildRequires:  perl-HTTP-Date
BuildRequires:  perl-HTTP-Message
BuildRequires:  perl-HTTP-Parser-XS
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Module-Build-Tiny
BuildRequires:  perl-Net-Server >= 0.91
BuildRequires:  perl-parent
BuildRequires:  perl-Plack >= 0.9971
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-Test-Requires
BuildRequires:  perl-Test-TCP >= 1.11
Requires:       perl-Data-Dump
Requires:       perl-HTTP-Date
Requires:       perl-HTTP-Message
Requires:       perl-HTTP-Parser-XS
Requires:       perl-Net-Server >= 0.91
Requires:       perl-parent
Requires:       perl-Plack >= 0.9971
Requires:       perl-Test-TCP >= 1.11
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Starman is a PSGI perl web server that has unique features such as:

%prep
%setup -q -n Starman-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install --destdir=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes cpanfile dist.ini LICENSE META.json README
%{_bindir}/starman
%{perl_vendorlib}/HTTP/Server/PSGI
%{perl_vendorlib}/Plack/Handler/Starman.pm
%{perl_vendorlib}/Starman.pm
%{perl_vendorlib}/Starman
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4010-1m)
- update to 0.4010

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4009-2m)
- rebuild against perl-5.20.0

* Sun Apr  6 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4009-1m)
- update to 0.4009

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4008-2m)
- rebuild against perl-5.18.2

* Fri Sep 13 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4008-1m)
- update to 0.4008

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4004-1m)
- update to 0.4004
- rebuild against perl-5.18.1

* Sat Aug 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4002-1m)
- update to 0.4002

* Sat Aug  3 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4001-1m)
- update to 0.4001

* Sun Jun 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3014-1m)
- update to 0.3014

* Sat Jun 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3013-1m)
- update to 0.3013

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3011-2m)
- rebuild against perl-5.18.0

* Fri May  3 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3011-1m)
- update to 0.3011

* Wed Apr 24 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3009-1m)
- update to 0.3009

* Sun Mar 31 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3007-1m)
- update to 0.3007

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3006-2m)
- rebuild against perl-5.16.3

* Sat Dec 22 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3006-1m)
- update to 0.3006

* Thu Nov 15 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3005-1m)
- update to 0.3005

* Fri Nov  9 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3004-1m)
- update to 0.3004

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3003-2m)
- rebuild against perl-5.16.2

* Sun Oct  7 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3003-1m)
- update to 0.3003

* Sat Sep 29 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3002-1m)
- update to 0.3002

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3000-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3000-2m)
- rebuild against perl-5.16.0

* Sun Mar 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3000-1m)
- update to 0.3000

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2014-2m)
- rebuild against perl-5.14.2

* Tue Oct  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2014-1m)
- update to 0.2014

* Wed Aug 17 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2013-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
